import * as _algorand from "@wormhole-foundation/sdk-algorand";
/** Platform and protocol definitions for Algorand */
export declare const algorand: {
    protocols: {
        core: Promise<{
            default: typeof import("@wormhole-foundation/sdk-algorand-core");
            AlgorandWormholeCore: typeof import("@wormhole-foundation/sdk-algorand-core").AlgorandWormholeCore;
            SEED_AMT: number;
            MAX_KEYS: number;
            MAX_BYTES_PER_KEY: number;
            BITS_PER_BYTE: number;
            BITS_PER_KEY: number;
            MAX_BYTES: number;
            MAX_BITS: number;
            varint: {
                _limit: number;
                encodingLength: (value: number) => number;
                encode: (i: number | bigint, buffer?: ArrayBuffer | undefined, byteOffset?: number | undefined) => Uint8Array;
                decode: (data: Uint8Array, offset?: number | undefined) => number;
            };
            StorageLogicSig: {
                forMessageId: (appId: bigint, whm: import("@wormhole-foundation/sdk-definitions").WormholeMessageId) => import("algosdk").LogicSigAccount;
                forWrappedAsset: (appId: bigint, token: import("@wormhole-foundation/sdk-definitions").TokenId<"Solana" | "Ethereum" | "Terra" | "Bsc" | "Polygon" | "Avalanche" | "Oasis" | "Algorand" | "Aurora" | "Fantom" | "Karura" | "Acala" | "Klaytn" | "Celo" | "Near" | "Moonbeam" | "Neon" | "Terra2" | "Injective" | "Osmosis" | "Sui" | "Aptos" | "Arbitrum" | "Optimism" | "Gnosis" | "Pythnet" | "Xpla" | "Btc" | "Base" | "Sei" | "Rootstock" | "Wormchain" | "Cosmoshub" | "Evmos" | "Kujira" | "Neutron" | "Celestia" | "Stargaze" | "Dymension" | "Sepolia" | "ArbitrumSepolia" | "BaseSepolia" | "OptimismSepolia" | "Holesky">) => import("algosdk").LogicSigAccount;
                forNativeAsset: (appId: bigint, tokenId: bigint) => import("algosdk").LogicSigAccount;
                forGuardianSet: (appId: bigint, idx: number | bigint) => import("algosdk").LogicSigAccount;
                forEmitter: (appId: bigint, emitter: Uint8Array) => import("algosdk").LogicSigAccount;
                _encode: (data: bigint | Uint8Array) => string[];
                fromData: (data: import("@wormhole-foundation/sdk-algorand-core").PopulateData) => import("algosdk").LogicSigAccount;
                decodeLocalState: (client: import("algosdk").Algodv2, appId: bigint, address: string) => Promise<Uint8Array>;
                checkBitsSet: (client: import("algosdk").Algodv2, appId: bigint, addr: string, seq: bigint) => Promise<boolean>;
                storageAccountExists: (client: import("algosdk").Algodv2, address: string, appId: bigint) => Promise<boolean>;
            };
        }>;
        tokenbridge: Promise<{
            default: typeof import("@wormhole-foundation/sdk-algorand-tokenbridge");
            TransferMethodSelector: import("algosdk").ABIMethod;
            AlgorandTokenBridge: typeof import("@wormhole-foundation/sdk-algorand-tokenbridge").AlgorandTokenBridge;
        }>;
    };
    Address: typeof _algorand.AlgorandAddress;
    ChainContext: typeof _algorand.AlgorandChain;
    Platform: typeof _algorand.AlgorandPlatform;
    Signer: typeof _algorand.AlgorandSigner;
    getSigner: typeof _algorand.getAlgorandSigner;
};
//# sourceMappingURL=algorand.d.ts.map