import * as _evm from "@wormhole-foundation/sdk-evm";
/** Platform and protocol definitions for Evm */
export declare const evm: {
    protocols: {
        core: Promise<{
            default: typeof import("@wormhole-foundation/sdk-evm-core");
            ethers_contracts: typeof import("@wormhole-foundation/sdk-evm-core/dist/cjs/ethers-contracts");
            EvmWormholeCore: typeof import("@wormhole-foundation/sdk-evm-core").EvmWormholeCore;
        }>;
        tokenbridge: Promise<{
            default: typeof import("@wormhole-foundation/sdk-evm-tokenbridge");
            ethers_contracts: typeof import("@wormhole-foundation/sdk-evm-tokenbridge/dist/cjs/ethers-contracts");
            EvmTokenBridge: typeof import("@wormhole-foundation/sdk-evm-tokenbridge").EvmTokenBridge;
            EvmAutomaticTokenBridge: typeof import("@wormhole-foundation/sdk-evm-tokenbridge").EvmAutomaticTokenBridge;
        }>;
        portico: Promise<{
            default: typeof import("@wormhole-foundation/sdk-evm-portico");
            EvmPorticoBridge: typeof import("@wormhole-foundation/sdk-evm-portico").EvmPorticoBridge;
        }>;
        cctp: Promise<{
            default: typeof import("@wormhole-foundation/sdk-evm-cctp");
            ethers_contracts: typeof import("@wormhole-foundation/sdk-evm-cctp/dist/cjs/ethers-contracts");
            EvmCircleBridge: typeof import("@wormhole-foundation/sdk-evm-cctp").EvmCircleBridge;
            EvmAutomaticCircleBridge: typeof import("@wormhole-foundation/sdk-evm-cctp").EvmAutomaticCircleBridge;
        }>;
    };
    Address: typeof _evm.EvmAddress;
    ChainContext: typeof _evm.EvmChain;
    Platform: typeof _evm.EvmPlatform;
    Signer: typeof _evm.EvmNativeSigner;
    getSigner: typeof _evm.getEvmSignerForKey;
    getSignerForSigner: typeof _evm.getEvmSignerForSigner;
};
//# sourceMappingURL=evm.d.ts.map