import * as _sui from "@wormhole-foundation/sdk-sui";
/** Platform and protocol definitions for Sui */
export declare const sui: {
    protocols: {
        core: Promise<{
            default: typeof import("@wormhole-foundation/sdk-sui-core");
            SuiWormholeCore: typeof import("@wormhole-foundation/sdk-sui-core").SuiWormholeCore;
        }>;
        tokenbridge: Promise<{
            default: typeof import("@wormhole-foundation/sdk-sui-tokenbridge");
            SuiTokenBridge: typeof import("@wormhole-foundation/sdk-sui-tokenbridge").SuiTokenBridge;
            getTokenFromTokenRegistry: (provider: import("@mysten/sui.js/dist/cjs/client").SuiClient, tokenBridgeStateObjectId: string, tokenType: string) => Promise<import("@mysten/sui.js/dist/cjs/client").SuiObjectResponse>;
            getTokenCoinType: (provider: import("@mysten/sui.js/dist/cjs/client").SuiClient, tokenBridgeStateObjectId: string, tokenAddress: Uint8Array, tokenChain: number) => Promise<string | null>;
        }>;
    };
    Address: typeof _sui.SuiAddress;
    ChainContext: typeof _sui.SuiChain;
    Platform: typeof _sui.SuiPlatform;
    Signer: typeof _sui.SuiSigner;
    getSigner: typeof _sui.getSuiSigner;
};
//# sourceMappingURL=sui.d.ts.map